Skip to main content

Create a new authorization

POST 

/nevisidm/api/core/v1/:clientExtId/profiles/:profileExtId/authorizations

Since: 2.71.0

Required permission(s): AccessControl.AuthorizationCreate

Creates a new authorization for the specified profile, linking it to a role. The authorization controls access scope through global flags.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    profileExtId stringrequired

    External ID of the profile.

    Example: profile-123

Body

required
    roleExtId stringrequired

    Possible values: non-empty

    The external ID of the role to assign.

    clientGlobal boolean

    Determines whether the authorization is applicable for the whole client.

    unitGlobal boolean

    Determines whether the authorization is restricted to a unit.

    appGlobal boolean

    Determines whether the authorization is restricted to an application.

    enterpriseRoleGlobal boolean

    Determines whether the authorization is restricted to an enterprise role.

    validity object

    Describes the validity period of the authorization.

    from string

    Start date of the entity's validity in ISO format.

    to string

    End date of the entity's validity in ISO format.

Responses

Authorization created successfully

Response Headers
  • Location any

    URL of the created resource

Loading...